﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class MaRole
    {

        public MaRole()
        {
            this.Tb_Permission = new HashSet<Tb_Permission>();
        }


        public int Id { get; set; }

        [Required(ErrorMessage = "Role is required")]
        [Display(Name = "Role Name")]
        public string RollName { get; set; }

        public Nullable<bool> _Status { get; set; }

        public bool Status
        {
            get
            {
                if (_Status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _Status = value;
            }
        }
        public Nullable<System.DateTime> Cdate { get; set; }
        public Nullable<int> RLevel { get; set; }

        public virtual ICollection<Tb_Permission> Tb_Permission { get; set; }
    }
}
